SyncML Notifications Internals
libsyncml API Internals » Low Level API Internals

The private part. More...

Collaboration diagram for SyncML Notifications Internals:

## Data Structures

struct | SmlNotification
struct | SmlSanAlert

## Functions

SmlBool | smlNotificationAssemble11 (SmlNotification *san, char **data, unsigned int *size, SmlProtocolVersion version, SmlError **error)

## Variables

SmlNotificationVersion | SmlNotification::version
SmlNotificationUIMode | SmlNotification::mode
SmlNotificationInitiator | SmlNotification::init
unsigned int | SmlNotification::sessionID
char * | SmlNotification::identifier
SmlLocation * | SmlNotification::target
GList * | SmlNotification::alerts
SmlMimeType | SmlNotification::type
SmlCred * | SmlNotification::cred
SmlSessionType | SmlNotification::sessionType
SmlManager * | SmlNotification::manager
unsigned int | SmlNotification::localMaxMsgSize
unsigned int | SmlNotification::localMaxObjSize
SmlAlertType | SmlSanAlert::type
char * | SmlSanAlert::contenttype
char * | SmlSanAlert::serverURI

## Detailed Description

The private part.